Package org.apache.lucene.analysis.ja

## Class JapaneseCompletionAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.ja.JapaneseCompletionAnalyzer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class JapaneseCompletionAnalyzer
      extends Analyzer

  Analyzer for Japanese completion suggester.
  See Also:
    `JapaneseCompletionFilter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JapaneseCompletionAnalyzer()` | Creates a new `JapaneseCompletionAnalyzer` with default configurations
    `JapaneseCompletionAnalyzer​(UserDictionary userDict, JapaneseCompletionFilter.Mode mode)` | Creates a new `JapaneseCompletionAnalyzer`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents​(String fieldName)` |
    `protected Reader` | `initReader​(String fieldName, Reader reader)` |
    `protected Reader` | `initReaderForNormalization​(String fieldName, Reader reader)` |

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, normalize, normalize, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JapaneseCompletionAnalyzer

          public JapaneseCompletionAnalyzer()

      Creates a new `JapaneseCompletionAnalyzer` with default configurations

    - #### JapaneseCompletionAnalyzer

          public JapaneseCompletionAnalyzer​(UserDictionary userDict,
                                            JapaneseCompletionFilter.Mode mode)

      Creates a new `JapaneseCompletionAnalyzer`

  - ### Method Detail

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents​(String fieldName)

      Specified by:
        `createComponents` in class `Analyzer`

    - #### initReader

          protected Reader initReader​(String fieldName,
                                      Reader reader)

      Overrides:
        `initReader` in class `Analyzer`

    - #### initReaderForNormalization

          protected Reader initReaderForNormalization​(String fieldName,
                                                      Reader reader)

      Overrides:
        `initReaderForNormalization` in class `Analyzer`